Summary: provides support for IMAP and POP network mail protocols
%define name imap
%define version 4.4
Name: %{name}
Version: %{version}
Release: 2
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.cac.washington.edu/mail/%{name}-%{version}.tar.Z
Source1: imap.pamd
Patch0: imap-4.1.BETA-linux.patch
Patch1: imap-4.1.BETA-pam.patch
Patch2: imap-4.2-flock.patch
Packager: Serguei Koubouchine <ksi@ksi-linux.com>
Vendor: KSI
Distribution: Nostromo
BuildRoot: /tmp/build-%{name}

%package devel
Summary: Libraries, includes, etc to develop IMAP applications
Group: Libraries
Group(ru): Libraries
Requires: imap = %{PACKAGE_VERSION}

%changelog

* Mon Nov 23 1998 Khimenko Victor <khim@sch57.msk.ru>

- Shared library and imap-devel RPM ...

* Sat Oct 24 1998 Serguei Koubouchine <ksi@ksi-linux.com>

* Wed Jun 24 1998 Serguei Koubouchine <ksi@gu.net>

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

%description devel
Libraries, include files, etc to develop POP/IMAP applications

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .linux
%patch1 -p1 -b .pam
%patch2 -p1 -b .noflock

%build
export LC_ALL=C
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DIGNORE_LOCK_EACCES_ERRORS -DPIC -fpic" lnx
cd c-client
sed 's|^ar rc \(.*\);ranlib c-client.a$|gcc -shared -Wl,-soname,libimap.so.4 -o libimap.so.%{version} \1|' < ARCHIVE > ARCHIVE.SH
sh ARCHIVE.SH
mv CFLAGS CFLAGS.old
sed 's| -DPIC -fpic||' < CFLAGS.old > CFLAGS
rm CFLAGS.old
ln -s libimap.so.%{version} libimap.so.4
ln -s libimap.so.%{version} libimap.so
cd ../imapd
rm imapd.o
make imapd.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o imapd imapd.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
cd ../ipopd
rm ipop2d.o
make ipop2d.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o ipop2d ipop2d.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
rm ipop3d.o
make ipop3d.o
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` \
  -o ipop3d ipop3d.o -L../c-client -limap \
  `cat ../c-client/LDFLAGS`
cd ../c-client
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DIGNORE_LOCK_EACCES_ERRORS" lnx
mv c-client.a libimap.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 ./c-client/libimap.a $RPM_BUILD_ROOT/usr/lib
install -m 644 ./c-client/libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -s libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so.4
ln -s libimap.so.%{version} $RPM_BUILD_ROOT/usr/lib/libimap.so
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap
mkdir -p $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.h $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/usr/include/imap
# check for missing files
cd $RPM_BUILD_ROOT/usr/include/imap
for i in `grep -h '\#include *\"' *.h | sed 's|^.*"\(.*\)".*$|\1|'`; do
  if [ ! -e $i ] ; then
    echo "file $i not found"
    exit 1
  fi
done
for i in *.h ; do
  sed 's-\#include \"\(.*\)\"-#include <imap/\1>-' < $i > $i.2
  mv -v $i.2 $i
done

%clean
rm -f imap
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/pam.d/imap
%attr(0644,root,man) /usr/man/man8/ipopd.8c
%attr(0644,root,man) /usr/man/man8/imapd.8c
/usr/lib/libimap.so.%{version}
%attr(0755,root,mail) /usr/sbin/ipop2d
%attr(0755,root,mail) /usr/sbin/ipop3d
%attr(0755,root,mail) /usr/sbin/imapd
%doc README

%files devel
%defattr(-,root,root)
%doc docs/*
/usr/include/imap
/usr/lib/libimap.a
/usr/lib/libimap.so

